## libpaper 1.1.24+nmu5

=== debian/changelog ===
libpaper (1.1.24+nmu5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Fix /tmp file vulnerability in debian/rules clean target
    (Closes: #841722)

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 11 Nov 2016 11:28:37 +0000
