## libpaper 1.1.24+nmu5ubuntu1

=== debian/changelog ===
libpaper (1.1.24+nmu5ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When cross-building, run a separate native build pass so that we have
      a native version of paperconf to build debian/libpaper1.config.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Apr 2017 22:17:56 -0700

libpaper (1.1.24+nmu4ubuntu2) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 20:50:30 +0000
