## libpaper 1.1.26

=== debian/changelog ===
libpaper (1.1.26) unstable; urgency=medium

  * Check for ucf presence in the postrm script. See #916197 and #916198.

 -- Giuseppe Sacco <eppesuig@debian.org>  Tue, 11 Dec 2018 11:50:45 +0100

libpaper (1.1.25) unstable; urgency=medium

  * Fixed C4 dimension, closes: #829203
  * Added debian/source/format file.
  * Updated debian/copyright in order to refer to GPL-2 instead of
    GPL, closes: #729004
  * Fixed several lintian warnings about debian/* files.
  * Update to debian standard version 3.9.8 without any fix.
  * Correctly free() memory, closes: #914815
  * Updated paperconfig man page for run-parts, closes: #594931
  * Changed rules in order to cross build, closes: #693968

 -- Giuseppe Sacco <eppesuig@debian.org>  Sun, 09 Dec 2018 10:28:40 +0100
