=== debian/rules ===
--- 
+++ 
@@ -57,15 +57,17 @@
 endif
 	touch $@
 
-build:	config build-stamp debian/libpaper1.config
-build-stamp:
+build-indep:	config debian/libpaper1.config
 	$(MAKE) -C debian/build
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	$(MAKE) -C debian/build-native
 endif
 	touch $@
 
-debian/libpaper1.config: build-stamp
+build-arch:	build-indep
+build: build-arch
+
+debian/libpaper1.config: build-arch
 	exec > $@.new \
 		&& sed -n '1,/^__BEGIN_PAPERSPECS__/p' $@ \
 		&& $(native_paperconf) -amns \
@@ -84,7 +86,7 @@
 	mv debian/libpaper1.config.new debian/libpaper1.config
 
 binary-indep:	DH_OPTIONS=-i
-binary-indep:	checkroot build
+binary-indep:	checkroot build-indep
 	dh_prep
 	dh_installdirs
 
@@ -96,7 +98,7 @@
 	dh_builddeb
 
 binary-arch:	DH_OPTIONS=-a
-binary-arch:	checkroot build
+binary-arch:	checkroot build-arch
 	dh_prep
 	dh_installdirs
 
@@ -117,6 +119,8 @@
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
+	dh_lintian -p libpaper1
+	dh_lintian -p libpaper-utils
 
 #binary: binary-indep binary-arch
 binary: binary-arch
