## libpaper 1.1.28build1

=== debian/changelog ===
libpaper (1.1.28build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:17:21 +0200

libpaper (1.1.28) unstable; urgency=medium

  * Completely fixed #927226.

 -- Giuseppe Sacco <eppesuig@debian.org>  Wed, 26 Jun 2019 00:04:32 +0200

libpaper (1.1.27) unstable; urgency=medium

  * Fixed a circular dependency in debian/rules that left libpaper1.config
    not built. See #927226.

 -- Giuseppe Sacco <eppesuig@debian.org>  Sun, 23 Jun 2019 21:27:03 +0200
