## libpaper 1.1.28build2

=== debian/changelog ===
libpaper (1.1.28build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:14:21 +0100
