=== debian/control ===
Source: libpaper
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Giuseppe Sacco <eppesuig@debian.org>
Standards-Version: 3.9.8
Build-Depends: autotools-dev, dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf, dh-exec(>= 0.3), po-debconf, autoconf

Package: libpaper1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), dpkg (>= 1.17.2)
Replaces: libpaperg (<< 1.1.9)
Provides: libpaperg
Recommends: libpaper-utils
Description: library for handling paper characteristics
 The libpaper paper-handling library automates recognition of many
 different paper types and sizes for programs that need to deal with
 printed output.

Package: libpaper-utils
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libpaperg (<< 1.1.9), libpaper1 (<< 1.1.10)
Description: library for handling paper characteristics (utilities)
 The libpaper paper-handling library automates recognition of many
 different paper types and sizes for programs that need to deal with
 printed output.
 .
 This package contains utilities for setting the system's default
 paper type and for accessing paper type information from shell
 scripts.

Package: libpaper-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpaper1 (= ${binary:Version}), ${misc:Depends}
Replaces: libpaperg-dev (<< 1.1.9)
Provides: libpaperg-dev
Description: library for handling paper characteristics (development files)
 The libpaper paper-handling library automates recognition of many
 different paper types and sizes for programs that need to deal with
 printed output.
 .
 This package contains the development files.
