## libpaper 1.1.29

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libpaper
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Giuseppe Sacco <eppesuig@debian.org>
-Standards-Version: 3.9.8
+Maintainer: Giuseppe Sacco <eppesuig@debian.org>
+Standards-Version: 4.6.0
 Build-Depends: autotools-dev, dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf, dh-exec(>= 0.3), po-debconf, autoconf
 
 Package: libpaper1
