=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 export DH_OPTIONS=
 
 include /usr/share/dpkg/architecture.mk
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 package	:= $(firstword $(shell dh_listpackages))
 prefix	:= $(CURDIR)/debian/tmp
@@ -24,19 +27,8 @@
 native_paperconf	:= debian/build-native/src/paperconf
 endif
 
-cflags	:= -g -Wall
-ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-cflags	+= -O2
-else
-cflags	+= -O0
-endif
-
-export CFLAGS=$(cflags)
-export CXXFLAGS=$(cflags)
-
 version	:= $(shell dpkg-parsechangelog | \
 			sed -ne 's/^Version: *\([0-9]\+:\)*//p')
-
 
 tag:
 	cvs tag -c -F $(subst .,_,debian_version_$(version))
@@ -57,7 +49,7 @@
 endif
 	touch $@
 
-build-indep:	config debian/libpaper1.config
+build-indep:	config libpaper1.config-stamp
 	$(MAKE) -C debian/build
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	$(MAKE) -C debian/build-native
@@ -67,15 +59,16 @@
 build-arch:	build-indep
 build: build-arch
 
-debian/libpaper1.config: build-arch
-	exec > $@.new \
-		&& sed -n '1,/^__BEGIN_PAPERSPECS__/p' $@ \
-		&& $(native_paperconf) -amns \
-		&& sed -n '/^__END_PAPERSPECS__/,$$p' $@
-	mv $@.new $@
+libpaper1.config-stamp:
+	exec > debian/libpaper1.config.new \
+		&& sed -n '1,/^__BEGIN_PAPERSPECS__/p' debian/libpaper1.config \
+		&& cat lib/paperspecs \
+		&& sed -n '/^__END_PAPERSPECS__/,$$p' debian/libpaper1.config
+	mv debian/libpaper1.config.new debian/libpaper1.config
+	touch libpaper1.config-stamp
 
 clean:	checkroot
-	rm -f *-stamp
+	rm -f *-stamp build-indep
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -rf debian/build debian/build-native
 	dh_autoreconf_clean
