## libpaper 1.1.29build1

=== debian/changelog ===
libpaper (1.1.29build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:06:21 +0200

libpaper (1.1.29) unstable; urgency=medium

  * Fix for parallel build. See #857058
  * Added romanian translation. See #1032333
  * Updated standards-version to 4.6.0 (no changes)
  * Update papersize manual page. See #959403
  * Update paperconf manual page. See #959404
  * Update paperconfig manual page. See #959405

 -- Giuseppe Sacco <eppesuig@debian.org>  Fri, 17 Mar 2023 14:44:15 +0100
