=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libpaper
 Section: libs
 Priority: optional
-Maintainer: Giuseppe Sacco <eppesuig@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Giuseppe Sacco <eppesuig@debian.org>
 Standards-Version: 4.6.0
 Build-Depends: autotools-dev, dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf, dh-exec(>= 0.3), po-debconf, autoconf
