## libpaper 2.2.5

=== debian/changelog ===
libpaper (2.2.5-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Move from experimental.

 -- Bastian Germann <bage@debian.org>  Tue, 10 Dec 2024 20:26:25 +0000

libpaper (2.2.5-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Let dev pkg depend on library.
  * Fix up relocation patch to contain defines.
  * d/copyright: Add info for patches.

 -- Bastian Germann <bage@debian.org>  Mon, 09 Dec 2024 13:12:41 +0100

libpaper (2.2.5-0.1) experimental; urgency=medium

  * Non-maintainer upload.

  [ Reuben Thomas ]
  * Make the program and library relocatable.
  * Add a test suite.
  * Make /etc/papersize optional.  Closes: #690247
  * Switch to dpkg-source 3.0 (quilt) format.  Closes: #1007081
  * Redesign and rewrite of libpaper.  Closes: #727656
  * Remove /etc/papersize.  Closes: #731430
  * Remove papersize(5).  Closes: #486338, #731432
  * Add JIS B series paper sizes (patch from TeXLive).  Closes: #403365
  * Try LC_PAPER before falling back to default PAPERSIZE.
    Closes: #481213, #376350
  * Load paper sizes at run-time, allowing the user to change the configuration.
  * Remove the library: the programs and data sources can be used instead.
  * Reduce the range of supported units to those actually needed.
  * Use the first entry in paperspecs as the "default default".  Closes: #493722
  * Improve paperconfig command-line interface.  Closes: #486341
  * Install README.  Closes: #413722
  * No longer use ucf.  Closes: #574750
  * Update Standards-Version to 4.6.0, use dh and placate lintian.  Add
    help2man and dh-related build deps.  Add Vcs-Browser and Vcs-Git fields
    to control file.
  * Bump debhelper compat level to 13.
  * Add Debian paperconfig(8), which was removed from upstream

  [ Bastian Germann ]
  * Scan GitHub releases.
  * Remove executable bit (dh-exec) from .install files.
  * Rename library to fit SONAME.
  * Add Rules-Requires-Root: no.
  * Add Build-Dependency gnulib.
  * Fix disabling relocatable.
  * Eliminate quote function and use xasprintf function from libiberty.
  * New upstream version 2.2.5.  Closes: #1010647, #966807

 -- Bastian Germann <bage@debian.org>  Tue, 19 Mar 2024 20:57:11 +0000
