=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -I/usr/share/gnulib/lib

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	# progname.c does not require gnulib-specific stuff
	cp /usr/share/gnulib/lib/progname.c src
	dh_auto_configure -- --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W gnulib libiberty-dev)"
