=== debian/watch ===
version=4
opts=searchmode=plain \
  https://api.github.com/repos/rrthomas/libpaper/releases https://github.com/rrthomas/libpaper/releases/download/v[\d\.]+/libpaper-([\d\.]+)\.tar\.gz
